Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357240 - corrupt graphics after screen is blanked
Summary: corrupt graphics after screen is blanked
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-17 04:35 UTC by Dan Loomis
Modified: 2017-08-08 15:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:39:12 UTC


Attachments (Terms of Use)

Description Dan Loomis 2016-07-17 04:35:26 UTC
Description of problem:  Set "Blank Screen" to twelve minutes in Gnome Power Manager


Version-Release number of selected component (if applicable):
gnome-power-manager.x86_64  3.20.0-1.fc24  

How reproducible:  Easy 

Steps to Reproduce:
1. Let the screen blank.   
2. Hit escape (Screen lock is disabled on this system) 
3. Launch Firefox.  

Actual results:
Glitchy flickers when a window is repainted.  

Expected results:
Smooth rendering without the glitchy flickers.  


Additional info:
Running under Wayland.   Logging off Gnome and logging back in resolves the problem.   Workaround is to set Blank Screen to Never.  
Will add note if this can be reproduced in X

Comment 1 Dan Loomis 2016-07-17 09:15:46 UTC
Cannot be reproduced in X.

Comment 2 Dan Loomis 2016-08-13 22:08:25 UTC
This appears to have been fixed so far as blank screen is concerned, but it still happens with I unlock the screen after manually locking it.   The problem does not occur while running on X.

Comment 3 Nicholas Bishop 2017-01-03 19:56:01 UTC
I'm seeing the same problem in Fedora 25. After manually locking, then unlocking the screen I get a ton of flickering across the screen.

Graphics card/driver:
Device: AMD HAWAII (DRM 2.46.0 / 4.8.15-300.fc25.x86_64, LLVM 3.8.0) (0x67b1)

Please let me know if there's any additional info that would be helpful.

Comment 4 Fedora End Of Life 2017-07-25 21:50:41 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Dan Loomis 2017-07-26 01:56:07 UTC
I don't recall seeing this issue recently.   Go ahead and close.   If it recurs I'll open a new report against Fedora 26

Comment 6 Nicholas Bishop 2017-07-26 17:05:30 UTC
I was also seeing this bug in Fedora 25, but I can confirm that it's not happening after upgrading to Fedora 26.

Comment 7 Nicholas Bishop 2017-07-31 14:25:02 UTC
Withdrawing my previous comment -- I have now reproduced it in Fedora 26.

Perhaps of interest, I have two machines with the same graphics card [1]. One is connected to a 2560x1600 monitor and doesn't flicker after resume. The other is connected to a 3440x1440 monitor and does flicker on resume.

[1] $ lspci | grep VGA
03:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Hawaii PRO [Radeon R9 290/390] (rev 80)

Comment 8 Fedora End Of Life 2017-08-08 15:39:12 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.